/* Fonts */
@font-face{
    font-family: "TrebuchetMS";
    src: url(../fonts/TrebuchetMS.ttf);
    font-weight: normal;
    font-style: normal;
}

@font-face{
    font-family: "BebasNeue";
    src: url(../fonts/BebasNeue.otf);
    font-weight: normal;
    font-style: normal;
}

@font-face{
    font-family: "WebSymbolsRegular";
    src: url(../fonts/websymbols-regular-webfont.eot);
    src: url(../fonts/websymbols-regular-webfont.eot?#iefix) format(embedded-opentype),
         url(../fonts/websymbols-regular-webfont.woff) format(woff),
         url(../fonts/websymbols-regular-webfont.ttf) format(truetype),
         url(../fonts/websymbols-regular-webfont.svg#WebSymbolsRegular) format(svg);
    font-weight: normal;
    font-style: normal;
}

/* General styles */

* {
    margin: 0;
    padding: 0;
}

body {
    background: url(../img/pattern.png);
}

.wrap {
    width: 1250px;
    margin: 0px auto;
}

.gear, .icon {
    font-family: "WebSymbolsRegular";
}

.clearfix {
    float: none;
    clear: both;
}

/* Header */

#header {
    width: 100%;
    height: 70px;
    background-color: #333350;
    font-family: "Bebasneue";
    color: white;
}

#logo {
    float: left;
    width: 200px;
    background-color: #37bcf9;
    text-align: center;
    margin-top: 8px;
    margin-left: 20px;
    letter-spacing: 1px;
    cursor: pointer;
    overflow: hidden;
    transition: all 300ms;
}

#logo:hover {
    border-radius: 2px;
    color: #333350;
    background-color: #ccc;
}

#logo .gear {
    display: block;
    float: left;
    font-size: 30px;
    margin-top: 5px;
    margin-left: 20px;
    /* Animation */
    animation-name: rotate-gear;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes rotate-gear {
    from {
        transform: rotateZ(0deg);
    }
    to {
        transform: rotateZ(360deg);
    }
}

#logo:hover .gear{
    animation: fromBellow 500ms linear;
}

@keyframes fromBellow {
    0%{
        transform: translateY(0%);
    }
    50% {
        transform: translateY(200%);
    }
    100% {
        transform: translateY(0%);
    }
}

#logo h3 {
    display: block;
    float: right;
    font-size: 40px;
    margin-top: 5px;
    margin-right: 65px;
    transition: all 300ms;
}

#logo:hover h3 {
    animation: fromRight 300ms linear;
}

@keyframes fromRight {
    from{
        transform: translateX(200%);
    }
    to {
        transform: translateX(0%);
    }
}

#menu {
   float: right;
   height: 70px;
   background: transparent;
}

#menu ul li {
    font-size: 24px;
    display: inline-block;
    margin: 0 20px 0 20px;
    letter-spacing: 1px;
    line-height: 70px
}

#menu ul li a {
    display: block;
    color: white;
    text-decoration: none;
    transition: all 200ms;
}

#menu ul li a:hover {
    color: #37bcf9;
    transform: scale(1.2, 1.2);
}

/* Banner */

#banner {
    width: 97%;
    height: 100px;
    border: 10px solid white;
    box-shadow: 0 0 2px grey;
    background: url(../img/bakbaner.png);
    background-position: -240px -240px;
    margin: 20px auto;
    overflow: hidden;
    animation: backBaner 10s linear;
}

@keyframes backBaner {
    0%{
        background-position: 0 0;
    }
    100%{
        background-position: -240px -240px;
    }
}

#banner h1 {
    display: block;
    width: 850px;
    font-family: "Bebasneue";
    color: white;
    font-size: 45px;
    letter-spacing: 2px;
    font-weight: normal;
    text-shadow: 2px 2px 1px black;
    margin: 23px auto;
    text-align: center;
    animation: showText 10s linear;
}

@keyframes showText {
    0%{
        transform: translateX(-600%) scale(5,5);
        text-shadow: none;
        color: transparent;
        opacity: 0;
    }
    50%{
        transform: translateX(600%) scale(3,5);
        opacity: 0.5;
    }
    75%{
        transform: translateX(-600%) scale(2,5);
        opacity: 1;
    }
    100%{
        transform: translateX(0%) scale(1,1);
        opacity: 1;
    }
}

/* Cards */

.card {
    float: left;
    width: 205px;
    height: 305px;
    border: 1px solid #ccc;
    box-shadow: 1px 1px 2px #ddd;
    overflow: hidden;
    background: white;
    margin: 21.5px;
    margin-top: 40px;
    cursor: pointer;
    transition: all 300ms;
}

.card:hover {
    background: #333350;    
}

.card:last-child {
    margin-right: 0;
}

.card .icon {
    display: block;
    width: 100%;
    height: 130px;
    font-size: 50px;
    line-height: 130px;
    text-align: center;
    margin: 0 auto;
    transition: all 300ms;
}

.card:hover .icon {
    font-size: 70px;
    color: #37bcf9;
    animation: showIcon 300ms linear;    
}

@keyframes showIcon {
    from{
        transform: translateY(-200%);
    }
    to{
        transform: translateY(0%);
    }
}

.card .category {
    width: 100%;
    height: 50px;
    font-family: 'Trebuchet MS';
    font-size: 21px;
    font-weight: bold;
    text-align: center;
    color: #00538c;
    transition: all 300ms;
}

.card:hover .category {
    color: white;
    animation: showCategory 400ms linear;
}

@keyframes showCategory {
    from{
        transform: translateY(-300%);
        color: #333350;
    }
    to{
        transform: translateY(0%);
        color: white;
    }
}

.card .description {
    font-family: 'Trebuchet MS';
    text-align: center;
    font-size: 16px;
    font-weight: normal;
    color: #0370b9;
    margin: 0 2px;
    transition: all 300ms;
}

.card:hover .description {
    color: white;
    animation: showDescription 400ms linear;
}

@keyframes showDescription {
    from{
        transform: translateX(-300%);
        color: #333350;
    }
    to{
        transform: translateX(0%);
    }
}

/* Aside bar */

#latheral {
    width: 300px;
    min-height: 1200px;
    font-family: 'Trebuchet MS';
    float: right;
    margin: 20px;
}

aside h3 {
    display: block;
    width: auto;
    height: 45px;
    line-height: 49px;
    background: #333350;
    color: white;
    box-shadow: 0px 1px 0px #393d3f, 1px 2px 0px #393d3f, 2px 3px 0px #393d3f, 3px 4px 0px #393d3f;
    font-size: 30px;
    font-family: "BebasNeue";
    font-weight: normal;
    letter-spacing: 2px;
    padding-left: 15px;
    margin-top: 30px;
    margin-bottom: 15px;
}

aside h3:first-child{
    margin-top: 0px;
}

#search {
    width: 90%;
    height: 30px;
    margin: 10px auto;
    background-color: white;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 1px 1px 4px #ccc inset;
}

#latheral input[type="text"] {
    width: 85%;
    height: 30px;
    border: none;
    padding-left: 5px;
    border-radius: 5px;
    background-color: transparent;
    color: #ccc;
    transition: all 300ms;
}

#latheral input[type="text"]:focus {
    color: #555;
}

#latheral input[type="button"], 
#latheral input[type="submit"] {
    height: 30px;
    cursor: pointer;
    font-size: 16px;
    background-color: transparent;
    border: none;
    border-left: 1px solid #ccc;
    color: #5555;
    padding-left: 7px;
}

.asideBox {
    width: 85%;
    height: 240px;
    margin: 0 auto;
    margin-top: 20px;
    padding-top: 2px;
    background: white;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.3), 0 3px 7px rgba(0, 0, 0, 0.3), 0 1px  white inset, 0 -3px 2px rgba(0, 0, 0, 0.3) inset;
}

#login input[type="email"], 
#login input[type="password"] {
    display: block;
    margin: 0px auto;
    margin-top: 20px;
    width: 82%;
    height: 30px;
    border: 1px solid #ccc;
    box-shadow: 1px 1px 1px #ccc inset;
    border-radius: 5px;
    padding-left: 30px;
    color: grey;
}

#login input[type="email"]:focus, 
#login input[type="password"]:focus {
    color: #555;
    box-shadow: 1px 1px 1px grey inset;
}

#login #user, 
#login #password {
    display: block;
    text-align: center;
    position: absolute;
    margin-left: 15px;
    margin-top: 6px;
    height: 30px;
}

#login #password {
    margin-left: 18px;
    margin-top: 25px;
    font-size: 20px;
}

#login input[type="submit"],
#login input[type="button"],
#login input[type="reset"],
#login button {
    text-align: center;
    width: 100px;
    height: 35px;
    margin-top: 20px;
    color: white;
    background: linear-gradient(to bottom, #333350 0%, #A6A6C7 100%);
    border: 1px solid #156785;
    border-radius: 0px;
    cursor: pointer;
    font-size: 15px;
    font-family: "TrebuchetMS";
    font-weight: lighter;
    margin-left: 17px;
    transition: all 300ms;
    margin-bottom: 20px;
}

#login input[type="submit"]:hover,
#login input[type="button"]:hover,
#login input[type="reset"]:hover,
#login button:hover {
    box-shadow: 0px 0px 8px grey;
}

#login a {
    display: block;
    font-size: 14px;
    text-decoration: none;
    margin-left: 18px;
    color: #555;
    line-height: 20px;
    text-align: center;
    padding-right: 10px;
}

#login a:hover {
    text-decoration: underline;
    color: #2f78bc;
}

#social {
    height: 190px;
}

#social a {
    display: block;
    color: #393d3f;
    text-decoration: none;
    font-size: 30px;
    margin-left: 20px;
    margin-top: 10px;
    margin-bottom: 20px;
}


#social .overlay {
    display: block;
    height: 20px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    letter-spacing: 1px;
    text-shadow: 0 0 1px #ccc;
    border: 3px solid white;
    box-shadow: 0 0 4px #ccc;
    background: #f4f7fe;
    position: absolute;
    padding: 5px;
    margin-left: 70px;
    margin-top: -51px;
    transform: translateX(-80%);
    opacity: 0;
    transition: all 400ms;
}

#social div:hover .overlay {
    opacity: 1;
    transform: translateX(0%);
}

/* Articles */

#articles {
    width: 860px;
    float: left;
}

#articles h2 {
    display: block;
    width: 100%;
    height: 75px;
    line-height: 75px;
    text-align: center;
    font-family: "BebasNeue";
    font-size: 40px;
    color: white;
    font-weight: normal;
    letter-spacing: 2px;
    background: #333350;
    box-shadow: 0px 1px 0px #393d3f, 1px 2px 0px #393d3f, 2px 3px 0px #393d3f, 3px 4px 0px #393d3f; 
}

#articles article {
    width: 97%;
    height: auto;
    border: 1px solid #ccc;
    margin: 40px auto;
    padding: 10px;
    font-family: "TrebuchetMS";
    background: white;
    color: #333350;
    box-shadow: 1px 1px 2px #ddd;
}

#articles article h4 {
    display: block;
    font-size: 23px;
    margin: 3px;
}

#articles article h4 a {
    text-decoration: none;
    color: #00538c;
}

#articles article h4 a:hover{
    text-decoration: underline;
}

#articles .data {
    float: right;
    background: #393d3f;
    color: white;
    height: 30px;
    line-height: 30px;
    margin: -10px;
    padding: 6px;
    font-size: 13px;
    border-radius: 0 0 0 5px;
}

#articles .data span {
    margin: 6px;
}

#articles article p {
    margin-top: 10px;
    margin-bottom: 10px;
}

#blog {
    width: 300px;
    height: 100px;
    margin-top: 60px;
    line-height: 100px;
    text-align: center;
    transition: all 1s;    
}

#blog a {
    display: block;
    font-family: "BebasNeue";
    font-size: 40px;
    letter-spacing: 3px;
    text-decoration: none;
    color: #00538c;
    transition: all 300ms;
}

#blog:hover {
    width: 96%;
    background-color: #333350;
    border: 7px solid #37bcf9;
    border-radius: 20px;
    box-shadow: 0 0 10px grey;
    animation: blink 3s infinite linear;
}

@keyframes blink {
    0%{
        border: 7px solid #37bcf9;
    }
    25%{
        border: 7px solid green;
    }
    50%{
        border: 7px solid yellow;
    }
    75%{
        border: 7px solid white;
    }
    100%{
        border: 7px solid #37bcf9;
    }
}

#blog:hover a {
    color: white;
    text-shadow: 1px 1px 1px black, 1px 2px 1px black, 1px 3px 1px black, 1px 4px 1px black, 1px 5px 1px black, 1px 6px 1px black;
}

/* Footer */

#footer {
    width: 100%;
    height: 470px;
    background: #333350;
    color: white;
    overflow: hidden;
}

#footer .wrap > div {
    float: left;
    width: 320px;
    height: 370px;
    margin: 40px;
    text-align: center;
    color: white;
    font-family: "TrebuchetMS";
}

#footer a {
    text-decoration: none;
    color: #37bcf9;
    transition: all 300ms;
}

#footer h5 {
    display: block;
    background: url(../img/pxgray.png), white;
    height: 50px;
    letter-spacing: 2px;
    text-align: center;
    font-family: "BebasNeue";
    font-size: 40px;
    line-height: 55px;
    color: #333350;
    border-radius: 5px;
    margin-bottom: 15px;
}

#footer ul {
    text-align: left;
    margin: 20px;
    font-size: 25px;    
}

#footer ul li {
    margin-top: 10px;
    padding: 5px;
    border-bottom: 1px solid #ccc;
}

#footer ul li a {
    display: block;
    height: 40px;
    transition: all 300ms;
}

#footer ul li a:hover {
    padding-left: 50px;
    color: white;
    width: 100%;
}

#footer iframe {
    width: 100%;
    height: 300px;
    margin-top: 10px;
    border-radius: 5px;
    border: 5px solid white;
    box-shadow: 0 0 5px grey;
}

#footer img {
    margin-bottom: 15px;
}

#footer #browser img {
    width: 45px;
}


